require 'skeksis'

SERVE_DIR="/Users/madeline/Code/gemini-bridge-rack/gemini"

class SkeksisApp
  def initialize
    @skeksis = Skeksis::GemBridge.new
  end

  def call(env)
    status = 200
    headers = { "content-type" => "text/html" }
    body = @skeksis.query(SERVE_DIR + env['PATH_INFO'], env)

    [status, headers, body]
  end

end

run SkeksisApp.new
